ReferenceWaitlistWaitlistPatientid
Add a patient to the waitlist
Loading the API reference…
A practice API key or an OAuth access token, both presented as Authorization: Bearer <token>. The token itself names the practice, so no organization header is needed.
In: header
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/waitlist/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "kind": "asap", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "patientId": "460a6d87-689c-4661-a526-a52450bbe2d7", "kind": "asap", "treatmentPlanId": "d1e2be99-c9f1-4694-933e-1fac86d3ce08", "appointmentTypeId": "e85b36df-f66d-49ec-b392-d57627235aad", "practitionerId": "466df888-f8c2-43ae-868e-866bd0a53556", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54", "earliestOn": "string", "latestOn": "string", "priority": -9007199254740991, "status": "open", "bookedAppointmentId": "1fd8e9df-ec74-4316-b398-20ea0d4d687f", "note": "string", "version": 1, "createdById": "string", "createdByName": "string", "createdBySource": "user", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "patientName": "string", "practitionerName": "string", "appointmentTypeName": "string"}Value in
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid0 <= value <= 1000